Bug 204601 - Review Request: geda-examples - Circuit examples for gEDA
Review Request: geda-examples - Circuit examples for gEDA
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
: 177416 (view as bug list)
Depends On: 204598
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-30 07:13 EDT by Chitlesh GOORAH
Modified: 2008-12-22 22:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 12:15:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-08-30 07:13:35 EDT
Spec URL: http://chitlesh.funpic.de/rpm/geda-examples.spec
SRPM URL: http://chitlesh.funpic.de/rpm/geda-examples-20060123-3.src.rpm
Description:
This package contains circuit examples for the gEDA project.
Comment 1 Chitlesh GOORAH 2006-08-30 07:39:06 EDT
*** Bug 177416 has been marked as a duplicate of this bug. ***
Comment 2 Mamoru TASAKA 2006-09-01 10:25:20 EDT
This package is very simple and there exists little
problems or questions.


First review of geda-examples :

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :

   * Requires
   * File and Directory Ownership

     - Well, this package may be unuseful without geda-gschem,
     however, does this package "really require" geda-gschem?

     I mean that for example, xorg-x11-docs maybe unuseful without
     xorg-x11 installed, however, xorg-x11-docs itself does not
     require anything.

     If the problem is only for the ownership of 
     %{_datadir}/gEDA/ (owned by geda-schem), this is a good
     reason for geda-symbols to own %{_datadir}/gEDA/, too, and
     the requirement for geda-gschem can be removed.
     You can see for example that /usr/share/X11/ is owned by
     several packages, e.g.
         imake, libX11, xorg-x11-xsm, xorg-x11-apps, .....

     - Another thing is %{_datadir}/gEDA/examples . This is
     also owned by geda-gschem. If you think that this package
     (geda-examples) really requires geda-gschem, then the entry
     of %dir %{gedaexampledir} can be removed.

     Well, the problem of ownership of directories is complicated
     when there are several packages which are mutually related.

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :

     = Nothing.

3. Other things I have noticed:

     = Nothing.
Comment 3 Chitlesh GOORAH 2006-09-01 20:39:15 EDT
(In reply to comment #2)
> This package is very simple and there exists little
> problems or questions.
> 
> 
> First review of geda-examples :
> 
> 1. From http://fedoraproject.org/wiki/Packaging/Guidelines :
> 
>    * Requires
>    * File and Directory Ownership
> 
>      - Well, this package may be unuseful without geda-gschem,
>      however, does this package "really require" geda-gschem?
> 
>      I mean that for example, xorg-x11-docs maybe unuseful without
>      xorg-x11 installed, however, xorg-x11-docs itself does not
>      require anything.
> 

The files provided by this package can be read via schematic editor. That is why
it requires geda-gschem

Updated:
Spec URL: http://chitlesh.funpic.de/rpm/geda-examples.spec
SRPM URL: http://chitlesh.funpic.de/rpm/geda-examples-20060123-4.src.rpm
Comment 4 Mamoru TASAKA 2006-09-02 08:28:56 EDT
(In reply to comment #3)
> (In reply to comment #2)
> >      - Well, this package may be unuseful without geda-gschem,
> >      however, does this package "really require" geda-gschem?
> > 

> The files provided by this package can be read via schematic editor. That is why
> it requires geda-gschem
> 

Okay.

> Updated:
> Spec URL: http://chitlesh.funpic.de/rpm/geda-examples.spec
> SRPM URL: http://chitlesh.funpic.de/rpm/geda-examples-20060123-4.src.rpm

Well, it seems okay, however, this bug is blocked by
bug 204598 (geda-gschem) and currently I cannot change the status
of this bug. if the status bug 204598 changed, I can re-review (perhaps
final check) this later.
Comment 5 Chitlesh GOORAH 2006-09-04 16:51:51 EDT
Updated:
Spec URL: http://chitlesh.funpic.de/rpm/geda-examples.spec
SRPM URL: http://chitlesh.funpic.de/rpm/geda-examples-20060824-1.src.rpm

New upstream release
Comment 6 Mamoru TASAKA 2006-09-05 03:51:20 EDT
OKay. Second review:

* rpmlint issue
Well, this package bears no rpmlint complaint, however, some files
have Windows-type end-of-type encoding. add:

for f in `find . -name \*.mod -or -name \*.cir -or -name \*.netlist | sort` ; do
sed -i -e 's|\r||' $f ; done

to %prep stage.

I want to recheck this package once more.
Comment 8 Mamoru TASAKA 2006-09-05 11:00:47 EDT
Well, doing "sed" before "%setup -q" (expanding src) does nothing.
Comment 9 Chitlesh GOORAH 2006-09-05 11:08:27 EDT
pdated:
Spec URL: http://chitlesh.funpic.de/rpm/geda-examples.spec
SRPM URL: http://chitlesh.funpic.de/rpm/geda-examples-20060824-3.src.rpm

Corrected stupid mistake !
Comment 10 Mamoru TASAKA 2006-09-05 11:26:48 EDT
Well, another question:

This package seems to have some empty directories:

/usr/share/gEDA/examples/RF_Amp/model
/usr/share/gEDA/examples/RF_Amp/sym
/usr/share/gEDA/examples/TwoStageAmp/sym
/usr/share/gEDA/examples/lightning_detector/sym

What are these directories for? 
Comment 12 Stuart Brorson 2006-09-05 22:06:58 EDT
  Well, another question:

  This package seems to have some empty directories:

  /usr/share/gEDA/examples/RF_Amp/model 
  /usr/share/gEDA/examples/RF_Amp/sym
  /usr/share/gEDA/examples/TwoStageAmp/sym
  /usr/share/gEDA/examples/lightning_detector/sym

  What are these directories for? 

Hmmm . . . . . These directories are *non-empty* on the gEDA on-line CVS:

http://cvs.seul.org/viewcvs/viewcvs.cgi/eda/geda/gaf/examples/RF_Amp/model
http://cvs.seul.org/viewcvs/viewcvs.cgi/eda/geda/gaf/examples/RF_Amp/sym

etc . . . 

Is there a problem with the gEDA distrobution you got?   Or are gEDA's build tools not fully up-to-
date>  Or perhaps an issue with the way Fedora archives and creates these files?

I can look at my latest devel tree which I updated from CVS this morning. . . .  please stand by until 
tomorrow when I am again at my computer.

Stuart
Comment 13 Mamoru TASAKA 2006-09-05 22:32:26 EDT
(In reply to comment #12)
> Hmmm . . . . . These directories are *non-empty* on the gEDA on-line CVS:
> 
> http://cvs.seul.org/viewcvs/viewcvs.cgi/eda/geda/gaf/examples/RF_Amp/model
> http://cvs.seul.org/viewcvs/viewcvs.cgi/eda/geda/gaf/examples/RF_Amp/sym
> 
> etc . . . 
> 

The directories which were empty in -3 seems to be not empty
in -4 rpm. Perhaps it was packaging problem.

I will check -4 rpm later.
Comment 14 Mamoru TASAKA 2006-09-06 02:13:10 EDT
Okay.

This package (geda-examples) is now ACCEPTED by me.
Comment 15 Chitlesh GOORAH 2006-09-06 05:41:11 EDT
(In reply to comment #13)
> The directories which were empty in -3 seems to be not empty
> in -4 rpm. Perhaps it was packaging problem.
> 
> I will check -4 rpm later.

It was indeed a packaging problem which occurs when I changed from 20060123 to
snapshot 20060824 :)
Comment 16 Chitlesh GOORAH 2008-12-21 14:41:51 EST
New Package CVS Request
=======================
Package Name: geda-examples
Short Description: Circuit examples for gEDA 
Owners: chitlesh
Branches: EL-5
Comment 17 Kevin Fenzi 2008-12-22 22:23:35 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.